<?php
/**
 * Witkey API Demo
 */

// HTTP 请求方法
if (!function_exists('do_http')) {
    function do_http($url,$param = [],$post_file=false){
        $oCurl = curl_init();
        if(stripos($url,"https://")!==FALSE){
            curl_setopt($oCurl, CURLOPT_SSL_VERIFYPEER, FALSE);
            curl_setopt($oCurl, CURLOPT_SSL_VERIFYHOST, false);
            curl_setopt($oCurl, CURLOPT_SSLVERSION, 1); //CURL_SSLVERSION_TLSv1
        }
        if (is_string($param) || $post_file) {
            $strPOST = $param;
        } else {
            $aPOST = array();
            foreach($param as $key=>$val){
                $aPOST[] = $key."=".urlencode($val);
            }
            $strPOST =  join("&", $aPOST);
        }
        curl_setopt($oCurl, CURLOPT_URL, $url);
        curl_setopt($oCurl, CURLOPT_RETURNTRANSFER, 1 );
        curl_setopt($oCurl, CURLOPT_POST,true);
        curl_setopt($oCurl, CURLOPT_POSTFIELDS,$strPOST);
        $sContent = curl_exec($oCurl);
        $aStatus = curl_getinfo($oCurl);
        curl_close($oCurl);
        if(intval($aStatus["http_code"]) == 200){
            return $sContent;
        }else{
            return false;
        }
    }
}


/**
////////////////////////////////////////
// 项目输入项 API
////////////////////////////////////////
 */

// * 必传参数 开始----------------------------------------------------------------------------------------------------

// APIKEY
$apikey = 'HRBLQW548EOOF2MVLUMFP0D3T2IY32BU';

// 项目 ID
$item_id = 152;

// * 必传参数 结束----------------------------------------------------------------------------------------------------


// 网站url
$url = 'http://monxin.com';
// API 请求链接
$url .= '/api.php?api=witkey.item_entry';
// 将数据 添加到 POST 中
$post_data = [
    // APIKEY
    'apikey' => $apikey,

    // 必传 参数 订单ID
    'item_id' => $item_id,
];

// 请求 API 获取 JSON
$result_json = do_http($url, $post_data);
// 解析 JSON
$result_arr = json_decode($result_json, true);
// 打印结果
var_dump($result_arr);


